IPC_OBTAIN_OBJECT_CH(9)

NAME
ipc_obtain_object_check -

SYNOPSIS

struct kern_ipc_perm * ipc_obtain_object_check(struct ipc_ids * ids, int id);

ARGUMENTS

ids
    ipc identifier set

id
    ipc id to look for

DESCRIPTION

Similar to ipc_obtain_object but also checks the ipc object reference counter.

Call inside the RCU critical section. The ipc object is *not* locked on exit.

COPYRIGHT